Bug 498566 - (perl-Config-JFDI) Review Request: perl-Config-JFDI - Just * Do it: A Catalyst::Plugin::ConfigLoader-style layer over Config::Any
Review Request: perl-Config-JFDI - Just * Do it: A Catalyst::Plugin::ConfigLo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Config-JFDI/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 02:33 EDT by Iain Arnell
Modified: 2009-08-01 19:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 01:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-01 02:33:19 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Config-JFDI.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Config-JFDI-0.05-1.fc12.src.rpm

Description:
Config::JFDI is an implementation of Catalyst::Plugin::ConfigLoader that
exists outside of Catalyst.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1331209

*rt-0.09
Comment 1 Chris Weyl 2009-05-03 04:36:11 EDT
I definitely need to update Data::Visitor, but the warnings here seem to be
just annoying rather than material.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1331209

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
ee9d3bac1c341752ac64d4457da4316e60b3a932 Config-JFDI-0.05.tar.gz
ee9d3bac1c341752ac64d4457da4316e60b3a932 Config-JFDI-0.05.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Config-JFDI-0.05-1.fc12.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Config-JFDI-0.05-1.fc12.noarch.rpm
perl(Config::JFDI) = 0.05
perl-Config-JFDI = 0.05-1.fc12
====> requires for perl-Config-JFDI-0.05-1.fc12.noarch.rpm
perl(Carp::Clan)  
perl(Clone)  
perl(Config::Any)  
perl(Data::Visitor::Callback)  
perl(Hash::Merge::Simple)  
perl(List::MoreUtils)  
perl(:MODULE_COMPAT_5.10.0)  
perl(Moose)  
perl(Path::Class)  
perl(strict)  
perl(Sub::Install)  
perl(warnings)  

=====> perl-Config-JFDI-0.05-1.fc12.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Config-JFDI-0.05-1.fc12.src.rpm
====> requires for perl-Config-JFDI-0.05-1.fc12.src.rpm
perl(Carp::Clan)  
perl(Clone)  
perl(Config::Any)  
perl(Data::Visitor)  
perl(ExtUtils::MakeMaker)  
perl(Hash::Merge::Simple)  
perl(List::MoreUtils)  
perl(Moose)  
perl(Path::Class)  
perl(Sub::Install)  
perl(Test::More)  
perl(Test::Most)  

APPROVED
Comment 2 Iain Arnell 2009-05-03 04:42:05 EDT
New Package CVS Request
=======================
Package Name: perl-Config-JFDI
Short Description: Just * Do it: A Catalyst::Plugin::ConfigLoader-style layer over Config::Any
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-03 23:50:28 EDT
cvs done.
Comment 4 Iain Arnell 2009-05-04 01:57:46 EDT
Thanks for the review! :-)
Comment 5 Fedora Update System 2009-07-19 09:22:44 EDT
perl-Config-JFDI-0.063-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Config-JFDI-0.063-1.fc11
Comment 6 Fedora Update System 2009-08-01 19:52:36 EDT
perl-Config-JFDI-0.063-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.